using System;
using System.IO;

namespace Soubory_ve_složce
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Výpis všech souborů ve složce";

         // Zjištění jména souboru
         string folderName = "c:\\";

         try
         {
            // Vytvoření objektu typu DirectoryInfo
            DirectoryInfo di = new DirectoryInfo(folderName);

            // Zjištění souborů
            FileInfo[] files = di.GetFiles();

            // Projdeme všchny soubory a vypíšeme jejich jména
            foreach (FileInfo file in files)
            {
               Console.WriteLine(file.Name);
            }
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při zjišťování souborů: {0}.", ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
